Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::gpu::NoTypeTensor< Dim, InnerContig, IndexT > Class Template Reference

## Public Member Functions
template<typename T >
| NoTypeTensor (Tensor< T, Dim, InnerContig, IndexT > &t)
| NoTypeTensor (void *mem, int typeSize, std::initializer_list< IndexT > sizes)
| NoTypeTensor (void *mem, int typeSize, int sizes[Dim])
| NoTypeTensor (void *mem, int typeSize, IndexT sizes[Dim], IndexT strides[Dim])
int | getTypeSize () const
IndexT | getSize (int dim) const
IndexT | getStride (int dim) const
template<typename T >
Tensor< T, Dim, InnerContig, IndexT > | toTensor ()
NoTypeTensor< Dim, InnerContig, IndexT > | narrowOutermost (IndexT start, IndexT size)

## Detailed Description

### template<int Dim, bool InnerContig = false, typename IndexT = int>
class faiss::gpu::NoTypeTensor< Dim, InnerContig, IndexT >

Definition at line 20 of file NoTypeTensor.cuh.

The documentation for this class was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/gpu/utils/NoTypeTensor.cuh